<?php
defined('CONF_URL_APP') or die;

class UsuarioNewsletter extends ItemModel
{
	protected $dbt_const = "DBT_NEWSLETTER_USUARIOS";
	protected $dbt = "newsletter_usuarios";
	
	protected $ext_folder = "ext_newsletter";
	protected $ext_vista_categoria = "usuarios_newsletter";
	protected $ext_vista_item = "usuario_newsletter";
	
	protected $ext_item_class = "UsuarioNewsletter";
	protected $ext_categoria_class = "ListaNewsletter";
	protected $ext_item_campoextra_class = "";
	
	protected $idx_vars = array("id");
	protected $update_vars = array("titulo","alias","contenido","fecha_publicacion","estado","imagen_destacada","categorias","creador","creador_alias","params","tags","idioma","acceso","artista");
	
	protected $ignore_vars = array("dbt_const","dbt","ext_folder","ext_vista_categoria","ext_vista_item","ext_item_class","ext_categoria_class","ext_item_campoextra_class","idx_vars","update_vars","ignore_vars","campos_multilang","campos_array","lugar","direccion","codigo_postal","localidad","provincia","pais","latitud","longitud");
	protected $campos_multilang = array("titulo","alias","contenido");
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_newsletter/class/listaNewsletter','ext_newsletter/class/campNewsletter');
	}
	
}
?>