<?php
defined('CONF_URL_APP') or die;

?>

  <div class="content_white page">
    <h1> <a href="<?php echo $artistas_link;?>"><span><?php echo __('ARTISTAS');?> > </span></a><a href="javascript:;"><?php echo SistemaIdioma::Imprimir($artista->nombre);?></a> </h1>
    <a href="<?php echo $artista->parametros['imagen_destacada'];?>" class="overlay view_image" title="<?php echo SistemaIdioma::Imprimir($artista->nombre);?>"> <img class="rounded shadow" src="<?php echo CONF_URL_APP;?>image.php/<?php echo $artista->parametros['imagen_destacada'];?>?width=590&height=356&cropratio=590:356&image=<?php echo CONF_URL_APP.$artista->parametros['imagen_destacada'];?>" width="590" alt="<?php echo SistemaIdioma::Imprimir($artista->nombre);?>" /> </a>
    <div class="post_details">
      <div class="date_author"> <?php echo __('Por');?> <?php echo $artista->objeto->getcreador(true);?> <?php echo __('el');?> <?php echo strftime('%d/%m/%Y', strtotime($artista->objeto->fecha_publicacion));?> </div>
      <?php /*?><a href="#" class="comments"> No Comments Yet </a><?php */?>
    </div>
    <?php echo SistemaIdioma::Imprimir($artista->objeto->contenido);?>
    
    <?php if ((!empty($artista->parametros['web_link']) || !empty($artista->parametros['myspace_link']) || !empty($artista->parametros['jamendo_link']) || !empty($artista->parametros['facebook_link'])) && ($artista->parametros['mostrar_enlaces']=='1')){?>
    <div class="separator_3"></div>
    <h3><?php echo __('Enlaces del Artista');?></h3>
    <ul class="ul">
    <?php if (!empty($artista->parametros['web_link'])){?>
    <li><?php echo __('Página web oficial');?>: <a href="<?php echo $params_art['web_link'];?>" target="_blank"><?php echo $artista->parametros['web_link'];?></a></li>
    <?php } ?>
    <?php if (!empty($artista->parametros['myspace_link'])){?>
    <li><?php echo __('MySpace');?>: <a href="<?php echo $params_art['myspace_link'];?>" target="_blank"><?php echo $artista->parametros['myspace_link'];?></a></li>
    <?php } ?>
    <?php if (!empty($artista->parametros['jamendo_link'])){?>
    <li><?php echo __('Jamendo');?>: <a href="<?php echo $params_art['jamendo_link'];?>" target="_blank"><?php echo $artista->parametros['jamendo_link'];?></a></li>
    <?php } ?>
    <?php if (!empty($artista->parametros['facebook_link'])){?>
    <li><?php echo __('Facebook');?>: <a href="<?php echo $params_art['facebook_link'];?>" target="_blank"><?php echo $artista->parametros['facebook_link'];?></a></li>
    <?php } ?>
    </ul>
    <div class="clear"></div>
    <?php } ?>
    
    <?php if (count($artista->imagenes) > 0){?>
    <div class="separator_3"></div>
    <h3><?php echo __('Imágenes');?></h3>
    <ul class="gallery">
    <?php foreach ($artista->imagenes as $img){?>
      <li> <a href="<?php echo $img;?>" class="overlay view_image"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $img;?>?width=180&height=140&cropratio=180:140&image=<?php echo CONF_URL_APP.$img;?>" alt="gallery-1" width="180" height="140" /> </a> </li>
      <?php } ?>
      <div class="clear"></div>
    </ul>
    <?php } ?>
    <div class="separator_3"></div>
    
    <!-- Share Post -->
    <div class="post_share">
      <h3><?php echo __('COMPARTIR');?></h3>
      <a href="http://www.facebook.com/sharer.php?s=100&p[title]=<?php echo strtoupper(SistemaIdioma::Imprimir($artista->nombre));?>&p[summary]=<?php echo urlencode(strip_tags(SistemaIdioma::Imprimir($artista->objeto->contenido)));?>&p[url]=<?php echo urlencode($_SESSION[CLAVE_SECRETA]['site']['lastUrl']) ?>&p[images][0]=<?php echo CONF_URL_APP.$artista->parametros['imagen_destacada'];?>" target="_blank" class="facebook" title="<?php echo __('Compartir en Facebook');?>"> <img src="<?php echo URL_TEMPLATE;?>/img/share-facebook.png" alt="<?php echo __('Compartir en Facebook');?>" width="23" height="23" /> </a> <a href="https://twitter.com/share?url=<?php echo urlencode($_SESSION[CLAVE_SECRETA]['site']['lastUrl']) ?>" target="_blank" class="twitter" title="<?php echo __('Compartir en Twitter');?>"> <img src="<?php echo URL_TEMPLATE;?>/img/share-twitter.png" alt="<?php echo __('Compartir en Twitter');?>" width="32" height="24" /> </a> <?php /*?><a href="javascript:;" class="mail" title="Share via Mail"> <img src="img/share-mail.png" alt="share-mail" width="33" height="21" /> </a><?php */?>
      <div class="clear"></div>
    </div>
    <!-- End of: Share Post --> 
    
    
    <?php /*?><div class="alert_error"> comments are temporarily closed. sorry about that. </div><?php */?>
  </div>
  <div class="shadow_8"></div>
  <?php
  if ($artista->parametros['mostrar_albumes']){
  ?>
  <?php if ($artista->albums != false){?>
  <div class="heading_bar">
    <h1><?php echo __('Discografía del artista');?></h1>
    <div class="clear"></div>
  </div>
  <ul class="featured_authors">
    <?php foreach ($artista->albums as $album){?>
    <!-- Featured Author -->
    <li> <a href="<?php echo $album->getLink();?>" class="author_thumb"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $album->imagen_destacada;?>?width=74&height=74&cropratio=1:1&image=<?php echo CONF_URL_APP.$album->imagen_destacada;?>" alt="<?php echo SistemaIdioma::Imprimir($album->titulo);?>" width="74" height="74" /> </a>
    <?php 
	  $desc = SistemaIdioma::Imprimir($album->contenido);
	  $desc = strip_tags($desc);
	  if (strlen($desc) >70){
		$desc = substr($desc, 0 , 70).'...';  
	  }
	  $pistas = $album->getPistas();
	  ?>
      <div class="author_info"> <a href="<?php echo $album->getLink();?>"><?php echo SistemaIdioma::Imprimir($album->titulo);?></a> <span><?php echo __('Numero de pistas');?>: <?php echo count($pistas);?> </span>
        <div class="arrow"></div>
      </div>
    </li>
    <!-- End of: Featured Author --> 
    <?php } ?>
    
  </ul>
  <div class="clear"></div>
  <?php } ?>
  <?php } ?>
