<?php
e_include('ext_newsletter/class/usuarioNewsletter');

if (!class_exists("Album")) {
    echo "Error 500: No se ha encontrado la clase de la extensión.";
    return false;
}

if (!empty($_POST)){
	include(CONF_REALPATH_APP.'extensions/ext_newsletter/admin/tools/save_album.php');
}

$item_seleccionado = new UsuarioNewsletter();
$item_seleccionado->setid($_GET['id']);

if ($item_seleccionado = $item_seleccionado->BuscarId()){
} else {
	echo "Error 500: No se ha encontrado el usuario del newsletter.";
	exit;
}

$options = array(
	"titulo" => sprintf(__("Editar usuario del newsletter '%s'"), SistemaIdioma::Imprimir($item_seleccionado->titulo)),
	"categoria" => ""
);
if (isset($GLOBALS['custom_menu'])){
	if (!empty($GLOBALS['custom_menu']->params)){
		parse_str(trim($GLOBALS['custom_menu']->params), $parametros_custom);
		
		foreach ($parametros_custom as $kparam=>$param){
			if (array_key_exists($kparam, $options))
				$options[$kparam] = utf8_decode($param);
		}
	}
	$options['titulo'] = SistemaIdioma::Imprimir($GLOBALS['custom_menu']->titulo);
}
?>