<?php
$options = array(
	"titulo" => __('Usuarios del newsletter'),
	"nivel_acceso" => ""
);
$txt_cm = '';
if (isset($GLOBALS['custom_menu'])){
	$txt_cm = '&custom_menu='.$GLOBALS['custom_menu']->id;
	if (!empty($GLOBALS['custom_menu']->params)){
		parse_str(trim($GLOBALS['custom_menu']->params), $parametros_custom);
		
		foreach ($parametros_custom as $kparam=>$param){
			if (array_key_exists($kparam, $options))
				$options[$kparam] = utf8_decode($param);
		}
	}
	$options['titulo'] = SistemaIdioma::Imprimir($GLOBALS['custom_menu']->titulo);
}

c_include('usuario', 'helpers/templateHelper');
e_include('ext_newsletter/class/usuarioNewsletter');

if (!class_exists('ListadoAdminModel')) {
    echo "Error 500: No se ha encontrado la clase de la extensión.";
    return false;
}

$cat_id = 0;
$class_obj = new UsuarioNewsletter();

$opts = array("keyword_where_exp" => "(titulo LIKE '%##KEYWORD##%' OR contenido LIKE '%##KEYWORD##%' OR params LIKE '%##KEYWORD##%')");

$items = new ListadoAdminModel($cat_id, $class_obj, $opts);

$items->vista_config['vista_url_editar'] = 'editar_usuario';
$items->vista_config['url_nuevo'] = '?extension=##EXT##&vista=nuevo_usuario';

$items->parsea_config_vista();

//$usuarios->config_columnas_var = 'config_columnas_listado_grupo_campo';
//$usuarios->parsea_config_columnas();
$items->columnas_listado = array("estado"=>__('Est.'), "titulo"=>__('Título'), "contenido"=>__('Descripción'), "idioma"=>__('Idioma'), "acceso"=>__('Acceso'), "id"=>__('ID'));
//$items->columnas_config['artista']['class'] = "nowrap hidden-sm";
//$items->columnas_config['artista']['class_td'] = "nowrap hidden-sm";

$columnas_tabla = $items->getColumnasListado();
?>