<?php
c_include('api/apiAdaptador');

/**
 * Eventos Api Adapter class for the Mideas Framework.
 *
 * @package		Mideas.Framework
 * @subpackage	Api
 * @since		1.0
 */
class NewsletterApiAdaptador extends ApiAdaptador
{
	protected $extension = 'newsletter';
	protected $carpeta = 'ext_newsletter';
	
	protected $elementos_permitidos = array("newsletter");
	
	protected $campos_ignorados_nuevo = array("id","fecha","numero_valoraciones","media_valoracion","visitas");
	protected $campos_multilang = array("titulo","contenido","lugar");
	
	public function __construct($elemento, $accion){
		parent::__construct($elemento, $accion);
		$this->mensajes = array("nuevo_ok"=>__("Se ha creado la newsletter. Haz click <a href='%s'>aquí</a> para ver el nuevo anuncio."), "nuevo_ko"=>__("Se ha producido un error al intentar crear la newsletter"), "editar_ok"=>__("Se ha modificado la newsletter. Haz click <a href='%s'>aquí</a> para visitar la página de la newsletter."));
	}	
}