<?php
/**
 * Modelo del artículo, permite manejar los artículos de forma fácil
 *
 * @package		Mideas.Muzzim
 * @subpackage	Model
 * @since		1.0
 */

class UsuarioNewsletterModel extends DetalleModel {
	protected $global_main_class = 'newsletter';
	
	protected $ext_folder = 'ext_newsletter';
	
	protected $categoria_class = 'ListaNewsletter';
	protected $item_class = 'UsuarioNewsletter';
	
	protected $categoria_vista = 'usuarios_newsletter';
	protected $item_vista = 'usuario_newsletter';
	
	function __construct($id=''){
		parent::__construct($id);
	}
	
	public function includes(){
		c_include('enlace');
		e_include('ext_newsletter/class/usuarioNewsletter','ext_newsletter/class/listaNewsletter');
	}
}