<?php
/**
 * Modelo del listado de artículos de una categoría, permite manejar los listados de artículos de una categoría de forma fácil
 *
 * @package		Mideas.Sitios
 * @subpackage	Model
 * @since		1.0
 */

class UsuarioNewsletterModel extends ListadoModel{
	
	protected $global_main_class = 'newsletter';
	
	protected $ext_folder = 'ext_newsletter';
	
	protected $categoria_class = 'ListaNewsletter';
	protected $item_class = 'UsuarioNewsletter';
	
	protected $categoria_vista = 'usuarios_newsletter';
	protected $item_vista = 'usuario_newsletter';
	
	function __construct($id=''){
		parent::__construct($id);
	}
		
	public function includes(){
		//Clase requerida
		e_include('ext_newsletter/class/usuarioNewsletter','ext_newsletter/class/listaNewsletter');
		$tmp_ct = new $this->categoria_class();
		$tmp_it = new $this->item_class();
	}
}